---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-05T14:34:29Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://275c191a-e839-4f21-9387-ac3d99803353"
documentDescribes:
- "SPDXRef-Project-Maven-jakarta.validation-jakarta.validation-api-3.0.3-SNAPSHOT"
packages:
- SPDXID: "SPDXRef-Project-Maven-jakarta.validation-jakarta.validation-api-3.0.3-SNAPSHOT"
  copyrightText: "COPYRIGHT HOLDERS AND THE ECLIPSE FOUNDATION\nCopyright (c) 2018\
    \ Eclipse Foundation\nCopyright (c) 2019-2020 Eclipse Foundation\nCopyright (c)\
    \ Eclipse Foundation, Inc."
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "https://beanvalidation.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "jakarta.validation-api"
  summary: "NONE"
  versionInfo: "3.0.3-SNAPSHOT"
- SPDXID: "SPDXRef-Package-Maven-com.beust-jcommander-1.64"
  copyrightText: "Copyright (c) 2010-2011, 2014 the original author or authors\nCopyright\
    \ 2010 Cedric Beust <cedric@beust.com>\nCopyright 2012 Cedric Beust"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/beust/jcommander/1.64/jcommander-1.64.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.beust/jcommander@1.64"
  filesAnalyzed: false
  homepage: "http://jcommander.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "jcommander"
  summary: "Command line parsing"
  versionInfo: "1.64"
- SPDXID: "SPDXRef-Package-Maven-com.beust-jcommander-1.64-vcs"
  copyrightText: "Copyright (c) 2010-2011, 2014 the original author or authors\nCopyright\
    \ 2010 Cedric Beust <cedric@beust.com>\nCopyright 2012 Cedric Beust"
  downloadLocation: "git+https://github.com/cbeust/jcommander.git@843735da915a15267c01713a7ba051dd59ff9e66"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.beust/jcommander@1.64"
  filesAnalyzed: false
  homepage: "http://jcommander.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jcommander"
  summary: "Command line parsing"
  versionInfo: "1.64"
- SPDXID: "SPDXRef-Package-Maven-com.beust-jcommander-1.64-source-artifact"
  copyrightText: "Copyright (c) 2010-2011, 2014 the original author or authors\nCopyright\
    \ 2010 Cedric Beust <cedric@beust.com>\nCopyright 2012 Cedric Beust"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/beust/jcommander/1.64/jcommander-1.64-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.beust/jcommander@1.64"
  filesAnalyzed: false
  homepage: "http://jcommander.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jcommander"
  summary: "Command line parsing"
  versionInfo: "1.64"
- SPDXID: "SPDXRef-Package-Maven-org.testng-testng-6.11"
  copyrightText: "Copyright 2011 Wolfgang Baltes WOLFGANG & MONIKA BALTES\nauthor\
    \ cbeust Jan 28, 2006\nauthor cbeust Jun 6, 2006"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/testng/testng/6.11/testng-6.11.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.testng/testng@6.11"
  filesAnalyzed: false
  homepage: "http://testng.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "testng"
  summary: "A testing framework for the JVM"
  versionInfo: "6.11"
- SPDXID: "SPDXRef-Package-Maven-org.testng-testng-6.11-vcs"
  copyrightText: "Copyright 2011 Wolfgang Baltes WOLFGANG & MONIKA BALTES\nauthor\
    \ cbeust Jan 28, 2006\nauthor cbeust Jun 6, 2006"
  downloadLocation: "git+https://github.com/cbeust/testng.git@4356bd981ab2a59677ab93e39b6c3af0a7041f4d"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.testng/testng@6.11"
  filesAnalyzed: false
  homepage: "http://testng.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "testng"
  summary: "A testing framework for the JVM"
  versionInfo: "6.11"
- SPDXID: "SPDXRef-Package-Maven-org.testng-testng-6.11-source-artifact"
  copyrightText: "Copyright 2011 Wolfgang Baltes WOLFGANG & MONIKA BALTES\nauthor\
    \ cbeust Jan 28, 2006\nauthor cbeust Jun 6, 2006"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/testng/testng/6.11/testng-6.11-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.testng/testng@6.11"
  filesAnalyzed: false
  homepage: "http://testng.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "testng"
  summary: "A testing framework for the JVM"
  versionInfo: "6.11"
- SPDXID: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17"
  copyrightText: "Copyright (c) 2008 Google Inc.\nCopyright (c) 2008 http://www.snakeyaml.org\n\
    Copyright 2003-2010 Christian d'Heureuse, Inventec Informatik AG, Zurich, Switzerland"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.17/snakeyaml-1.17.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.yaml/snakeyaml@1.17"
  filesAnalyzed: false
  homepage: "http://www.snakeyaml.org"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "snakeyaml"
  summary: "YAML 1.1 parser and emitter for Java"
  versionInfo: "1.17"
- SPDXID: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17-vcs"
  copyrightText: "Copyright (c) 2008 Google Inc.\nCopyright (c) 2008 http://www.snakeyaml.org\n\
    Copyright 2003-2010 Christian d'Heureuse, Inventec Informatik AG, Zurich, Switzerland"
  downloadLocation: "hg+http://bitbucket.org/asomov/snakeyaml"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.yaml/snakeyaml@1.17"
  filesAnalyzed: false
  homepage: "http://www.snakeyaml.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "snakeyaml"
  summary: "YAML 1.1 parser and emitter for Java"
  versionInfo: "1.17"
- SPDXID: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17-source-artifact"
  copyrightText: "Copyright (c) 2008 Google Inc.\nCopyright (c) 2008 http://www.snakeyaml.org\n\
    Copyright 2003-2010 Christian d'Heureuse, Inventec Informatik AG, Zurich, Switzerland"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.17/snakeyaml-1.17-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.yaml/snakeyaml@1.17"
  filesAnalyzed: false
  homepage: "http://www.snakeyaml.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "snakeyaml"
  summary: "YAML 1.1 parser and emitter for Java"
  versionInfo: "1.17"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-com.beust-jcommander-1.64"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.beust-jcommander-1.64-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.beust-jcommander-1.64"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.beust-jcommander-1.64-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.testng-testng-6.11"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.beust-jcommander-1.64"
- spdxElementId: "SPDXRef-Package-Maven-org.testng-testng-6.11"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17"
- spdxElementId: "SPDXRef-Package-Maven-org.testng-testng-6.11"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.testng-testng-6.11-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.testng-testng-6.11"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.testng-testng-6.11-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.yaml-snakeyaml-1.17-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-jakarta.validation-jakarta.validation-api-3.0.3-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.testng-testng-6.11"
